DirectAdmin v1.63.3 has been released

fln

Administrator
Staff member
Joined
Aug 30, 2021
Messages
445
Hi everyone!

We're happy to announce the release of Directadmin version 1.63.3.

This version includes a series of fixes and improvements mostly related to the new DA installation experience. Change log is quite short :D and can can be found here:

DirectAdmin 1.63.3

The update should be automatically available for all installations subscribed to the current release channel.

We appreciate all the feedback on forums and issues reported in the ticketing system.

Thanks!
fln
 

Active8

Verified User
Joined
Jul 13, 2013
Messages
1,263
# Remove dependency on ncftpls in scripts/ftp_list.php
PHP script scripts/ftp_list.php no longer depends on ncftpls being installed on the system. It uses curl instead

This can be messy with the sFTP script from Alex I assume ?
 

fln

Administrator
Staff member
Joined
Aug 30, 2021
Messages
445
We have re-packed 1.63.3 release build ID 4ec5513397259f8d59a07933283a8cc8dea56d84 it includes a hot-fix for startips script.
 

Father

New member
Joined
Dec 24, 2021
Messages
2
Hello. I got errors after updating. Stopped working CustomBuild.

Writes this error

This plugin is compatible with CustomBuild 2.x only.

When trying to do

./build rewrite_confs

Error

/usr/local/directadmin/custombuild/build: eval: line 3517: syntax error near unexpected token `<'
/usr/local/directadmin/custombuild/build: eval: line 3517: `VERSIONS_TXT_<html>
= VERSIONS_TXT_<head><title>404 Not Found</title></head>
= VERSIONS_TXT_<body>
= VERSIONS_TXT_<center><h1>404 Not Found</h1></center>
= VERSIONS_TXT_<hr><center>nginx</center>
= VERSIONS_TXT_</body>
= VERSIONS_TXT_</html>
='
 

cDGo

Verified User
Joined
Sep 21, 2012
Messages
69
Hi,

Got the same "This plugin is compatible with CustomBuild 2.x only." error, but am on 2.x already.
So just I tried doing the
./build all d
./build rewrite_confs

Which gives these errors:
./build: line 439: unexpected EOF while looking for matching `"'
./build: line 440: syntax error: unexpected end of file

What could be the problem?
 

smtalk

Administrator
Staff member
Joined
Aug 22, 2006
Messages
10,574
Location
LT, EU
Hi,

Got the same "This plugin is compatible with CustomBuild 2.x only." error, but am on 2.x already.
So just I tried doing the
./build all d
./build rewrite_confs

Which gives these errors:
./build: line 439: unexpected EOF while looking for matching `"'
./build: line 440: syntax error: unexpected end of file

What could be the problem?
Please try:
Code:
wget -O /usr/local/directadmin/custombuild/build http://files1.directadmin.com/services/custombuild/2.0/custombuild/build
 

cDGo

Verified User
Joined
Sep 21, 2012
Messages
69
Hi Martynas,

Thank you for your reply, that fixed the problem.
But now when updating any this error comes up:

ERROR: version of php81 not found in versions.txt!
ERROR: version of imapsync not found in versions.txt!

So I clicked "Update CustomBuild" and after that it was solved!
 
Last edited:
Top